#268882 failed

Build package: master/armv7/plasma-phone-components-5.19.3_git20200626-r0

Owner
~postmarketos
Created
7 days ago
Updated
7 days ago
Build manifest
view manifest »

Tasks

view log »
bpo_setup view log »
install_pubkey view log »
pmbootstrap_build view log »
checksums view log »
submit view log »
go to bottom »
setup
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
[#268882] 2020/07/30 17:50:55 Booting image alpine/latest (default) on port 22554
[#268882] 2020/07/30 17:50:58 Waiting for guest to settle
[#268882] 2020/07/30 17:51:05 Sending tasks
[#268882] 2020/07/30 17:51:06 Sending build environment
[#268882] 2020/07/30 17:51:06 Sending secrets
[#268882] 2020/07/30 17:51:06 Resolving secret 482975ec-22f7-49fd-9b54-486b0b1947c3
[#268882] 2020/07/30 17:51:06 Installing packages
Warning: Permanently added '[localhost]:22554' (ECDSA) to the list of known hosts.
fetch http://dl-cdn.alpinelinux.org/alpine/v3.12/main/x86_64/APKINDEX.tar.gz
fetch http://dl-cdn.alpinelinux.org/alpine/v3.12/community/x86_64/APKINDEX.tar.gz
v3.12.0-185-gb4b2a5e482 [http://dl-cdn.alpinelinux.org/alpine/v3.12/main]
v3.12.0-186-g2cd07a16f7 [http://dl-cdn.alpinelinux.org/alpine/v3.12/community]
OK: 12743 distinct packages available
Warning: Permanently added '[localhost]:22554' (ECDSA) to the list of known hosts.
(1/14) Installing coreutils (8.32-r0)
(2/14) Installing libproc (3.3.16-r0)
(3/14) Installing procps (3.3.16-r0)
(4/14) Installing py3-ordered-set (4.0.1-r0)
(5/14) Installing py3-appdirs (1.4.4-r1)
(6/14) Installing py3-parsing (2.4.7-r0)
(7/14) Installing py3-six (1.15.0-r0)
(8/14) Installing py3-packaging (20.4-r0)
(9/14) Installing py3-setuptools (47.0.0-r0)
(10/14) Installing py3-chardet (3.0.4-r4)
(11/14) Installing py3-idna (2.9-r0)
(12/14) Installing py3-certifi (2020.4.5.1-r0)
(13/14) Installing py3-urllib3 (1.25.9-r0)
(14/14) Installing py3-requests (2.23.0-r0)
Executing busybox-1.31.1-r19.trigger
OK: 1132 MiB in 215 packages
[#268882] 2020/07/30 17:51:07 Cloning repositories
Cloning into 'pmaports'...
+ cd pmaports
+ git submodule update --init
Cloning into 'pmbootstrap'...
+ cd pmbootstrap
+ git submodule update --init
Cloning into 'build.postmarketos.org'...
+ cd build.postmarketos.org
+ git submodule update --init
[#268882] 2020/07/30 17:51:14 Running task bpo_setup
[#268882] 2020/07/30 17:51:15 Running task install_pubkey
[#268882] 2020/07/30 17:51:15 Running task pmbootstrap_build
[#268882] 2020/07/30 17:51:21 Processing post-failed triggers...
[#268882] 2020/07/30 17:51:21 Sending webhook...
[#268882] 2020/07/30 17:51:24 Webhook response: 200
[#268882] 2020/07/30 17:51:24 done
[#268882] 2020/07/30 17:51:24 Build failed.
[#268882] 2020/07/30 17:51:24 The build environment will be kept alive for 10 minutes.
[#268882] 2020/07/30 17:51:24 To log in with SSH and examine it, use the following command:
[#268882] 2020/07/30 17:51:24 
[#268882] 2020/07/30 17:51:24 	ssh -t builds@azusa.runners.sr.ht connect 268882
[#268882] 2020/07/30 17:51:24 
[#268882] 2020/07/30 17:51:24 After logging in, the deadline is increased to your remaining build time.
[#268882] 2020/07/30 18:01:24 Deadline elapsed. Terminating build environment.
[#268882] 2020/07/30 18:01:24 Error: Running task on guest: exit status 1
bpo_setup
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
+ export BPO_JOB_ID=268882
+ BPO_JOB_ID=268882
+ mkdir -p /home/build/.config
+ echo '[pmbootstrap]'
+ echo 'is_default_channel = False'
+ git -C pmaports checkout master
Already on 'master'
Your branch is up to date with 'origin/master'.
+ yes ''
+ ./pmbootstrap/pmbootstrap.py --aports=/home/build/pmaports -q init
[17:51:14] Work path [/home/build/.local/var/pmbootstrap]: [17:51:14] Channel [edge]: [17:51:14] Vendor [qemu]: [17:51:14] Device codename [amd64]: [17:51:14] Kernel [virt]: [17:51:14] Username [user]: [17:51:14] User interface [weston]: [17:51:14] Change them? (y/n) [n]: [17:51:14] Extra packages [none]: [17:51:14] Device hostname (short form, e.g. 'foo') [qemu-amd64]: [17:51:14] Build outdated packages during 'pmbootstrap install'? (y/n) [y]: + sudo modprobe binfmt_misc
+ sudo mount -t binfmt_misc none /proc/sys/fs/binfmt_misc
++ git -C pmaports rev-parse --abbrev-ref HEAD
+ branch=master
+ '[' master '!=' master ']'
install_pubkey
1
2
3
4
5
6
7
8
9
10
11
12
+ export BPO_JOB_ID=268882
+ BPO_JOB_ID=268882
+ echo -n '-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA3WEjHjAzm+4HmF/qJxFg
GDjQ78Yfv+aoCja8YtW6iGuq9pX+JheD+l/DDVAlbtupdM/SteyGokO1+SWIvVkL
KKtJzWKTtFf2IfqxQRAzTjfxV5jmw+bgYqCUaxEvDVPxO7WMgBGnrxl5gzwVxMBS
TXtgDKMpdOy7Op5YwVCk20Tp8YuyOTkQI728Gw5O8b1iRByv2BIOp1U2okusY3ox
KnDmB0DWWbWKIfVfLoln++WyQP/1INGA2fVAvEUK8Cm0O6RTruT02Sy4VL+a1rDo
9XEVJDfWWV0UfcTEkTpHbwv3Dcxr2RGIBwqDonUUGZOl1W9vB0/DccWd6T2BmJ+4
dwIDAQAB
-----END PUBLIC KEY-----
'
pmbootstrap_build
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
+ export BPO_JOB_ID=268882
+ BPO_JOB_ID=268882
+ ./pmbootstrap/pmbootstrap.py -m http://dl-2.alpinelinux.org/alpine/ -mp https://build.postmarketos.org/wip/ -mp http://postmarketos1.brixit.nl/postmarketos/ --aports=/home/build/pmaports --no-ccache --timeout 900 --details-to-stdout build --no-depends --strict --arch armv7 --force plasma-phone-components
(002334) [17:51:15] % cd /home/build/pmaports; git remote -v
origin	https://gitlab.com/postmarketOS/pmaports.git/ (fetch)
origin	https://gitlab.com/postmarketOS/pmaports.git/ (push)
(002334) [17:51:15] % cd /home/build/pmaports; git show origin/master:channels.cfg
# Reference: https://postmarketos.org/channels.cfg
[channels.cfg]
recommended=edge

[edge]
description=Rolling release channel
branch_pmaports=master
branch_aports=master
mirrordir_alpine=edge

[stable]
description=Stable release channel (first beta v20.05, does not have many devices yet)
branch_pmaports=v20.05
branch_aports=3.12-stable
mirrordir_alpine=v3.12
(002334) [17:51:15] Shutdown complete
(002334) [17:51:15] Calculate work folder size
(002334) [17:51:15] % sudo du --summarize --block-size=1 /home/build/.local/var/pmbootstrap
20480	/home/build/.local/var/pmbootstrap
(002334) [17:51:15] Shutdown complete
(002334) [17:51:15] % sudo du --summarize --block-size=1 /home/build/.local/var/pmbootstrap
20480	/home/build/.local/var/pmbootstrap
(002334) [17:51:15] Cleared up ~0 MB of space
(002334) [17:51:15] APKINDEX outdated (file does not exist yet): https://build.postmarketos.org/wip/master/armv7/APKINDEX.tar.gz
(002334) [17:51:15] APKINDEX outdated (file does not exist yet): http://postmarketos1.brixit.nl/postmarketos/master/armv7/APKINDEX.tar.gz
(002334) [17:51:15] APKINDEX outdated (file does not exist yet): http://dl-2.alpinelinux.org/alpine/edge/main/armv7/APKINDEX.tar.gz
(002334) [17:51:15] APKINDEX outdated (file does not exist yet): http://dl-2.alpinelinux.org/alpine/edge/community/armv7/APKINDEX.tar.gz
(002334) [17:51:15] APKINDEX outdated (file does not exist yet): http://dl-2.alpinelinux.org/alpine/edge/testing/armv7/APKINDEX.tar.gz
(002334) [17:51:15] Update package index for armv7 (5 file(s))
(002334) [17:51:15] % mkdir -p /home/build/.local/var/pmbootstrap/cache_http
(002334) [17:51:15] Download https://build.postmarketos.org/wip/master/armv7/APKINDEX.tar.gz
(002334) [17:51:15] % sudo mkdir -p /home/build/.local/var/pmbootstrap/cache_apk_armv7
(002334) [17:51:15] % sudo cp /home/build/.local/var/pmbootstrap/cache_http/APKINDEX_b905cf66e311acd369b04bce8b2a8d2625fe77c6d398d71c396c12336143ea42 /home/build/.local/var/pmbootstrap/cache_apk_armv7/APKINDEX.73602495.tar.gz
(002334) [17:51:15] Download http://postmarketos1.brixit.nl/postmarketos/master/armv7/APKINDEX.tar.gz
(002334) [17:51:16] % sudo cp /home/build/.local/var/pmbootstrap/cache_http/APKINDEX_28f2b8e69fd157a543d2049908d4bf03e7f87ef76d5af1dce3c2560e57a0028a /home/build/.local/var/pmbootstrap/cache_apk_armv7/APKINDEX.3f9c67ba.tar.gz
(002334) [17:51:16] Download http://dl-2.alpinelinux.org/alpine/edge/main/armv7/APKINDEX.tar.gz
(002334) [17:51:16] % sudo cp /home/build/.local/var/pmbootstrap/cache_http/APKINDEX_cbd754a960a1c98fd94bfdb113b883a4d600c33985d66f9228768ad53f8f866a /home/build/.local/var/pmbootstrap/cache_apk_armv7/APKINDEX.ffff1b13.tar.gz
(002334) [17:51:16] Download http://dl-2.alpinelinux.org/alpine/edge/community/armv7/APKINDEX.tar.gz
(002334) [17:51:16] % sudo cp /home/build/.local/var/pmbootstrap/cache_http/APKINDEX_c9d90d9290eee3d099ea73e505a118ee0780ab06f1ac78ce6e2fee4ae8808b62 /home/build/.local/var/pmbootstrap/cache_apk_armv7/APKINDEX.f03f5bfd.tar.gz
(002334) [17:51:16] Download http://dl-2.alpinelinux.org/alpine/edge/testing/armv7/APKINDEX.tar.gz
(002334) [17:51:16] % sudo cp /home/build/.local/var/pmbootstrap/cache_http/APKINDEX_fae588ddec39dcefcbcc3cccd0693ebc4745c5a54ee1bb63fde66259434e14ee /home/build/.local/var/pmbootstrap/cache_apk_armv7/APKINDEX.977188ec.tar.gz
(002334) [17:51:19] WARNING: package plasma-nano: aport version 5.19.3_git20200705-r0 is lower than 5.19.4-r0 from the binary repository. 5.19.4-r0 will be used when installing plasma-nano. See also: <https://postmarketos.org/warning-repo2>
(002334) [17:51:19] ERROR: Missing binary package for dependency 'plasma-pa' of 'plasma-phone-components', but pmbootstrap won't build any depends since it was started with --no-depends.
(002334) [17:51:19] See also: <https://postmarketos.org/troubleshooting>
(002334) [17:51:19] Traceback (most recent call last):
  File "/home/build/pmbootstrap/pmb/__init__.py", line 49, in main
    getattr(frontend, args.action)(args)
  File "/home/build/pmbootstrap/pmb/helpers/frontend.py", line 95, in build
    if not pmb.build.package(args, package, arch_package, force,
  File "/home/build/pmbootstrap/pmb/build/_package.py", line 507, in package
    if not init_buildenv(args, apkbuild, arch, strict, force, cross, suffix,
  File "/home/build/pmbootstrap/pmb/build/_package.py", line 203, in init_buildenv
    depends, built = build_depends(args, apkbuild, depends_arch, strict)
  File "/home/build/pmbootstrap/pmb/build/_package.py", line 134, in build_depends
    raise RuntimeError("Missing binary package for dependency '" +
RuntimeError: Missing binary package for dependency 'plasma-pa' of 'plasma-phone-components', but pmbootstrap won't build any depends since it was started with --no-depends.

Run 'pmbootstrap log' for details.
Build complete: failed 7 days ago (took 25 seconds)